import { createConfigurationApi, ConfigurationStage, ConfigurationScope, } from '@webprovisions/platform';
export default createConfigurationApi(function (builder) {
    builder.createCommand('ready', { scope: ConfigurationScope.Implementation, stage: ConfigurationStage.Pre }, function (context) { return function (fn) {
        var container = context.container;
        var implementation = container.owner;
        var bootstrapping = container.get('bootstrapping');
        if (!bootstrapping.ready) {
            implementation.events.subscribeOnce('bootstrap:ready', function () {
                fn(implementation);
            });
        }
        else {
            fn(implementation);
        }
    }; });
});
//# sourceMappingURL=configuration-api.js.map